import request from '@/utils/request'

// 查询安全准入申请材料配置列表
export function listData(query) {
  return request({
    url: '/laboratory/materialrelation/list',
    method: 'get',
    params: query
  })
}

// 查询安全准入申请材料配置详细
export function getData(id) {
  return request({
    url: '/laboratory/materialrelation/' + id,
    method: 'get'
  })
}

// 新增安全准入申请材料配置
export function addData(data) {
  return request({
    url: '/laboratory/materialrelation',
    method: 'post',
    data: data
  })
}

// 修改安全准入申请材料配置
export function updateData(data) {
  return request({
    url: '/laboratory/materialrelation',
    method: 'put',
    data: data
  })
}

// 删除安全准入申请材料配置
export function delData(id) {
  return request({
    url: '/laboratory/materialrelation/' + id,
    method: 'delete'
  })
}
